#
# spec file for package perl-UNIVERSAL-require
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-UNIVERSAL-require
Version:        0.18
Release:        lp150.1.3
%define cpan_name UNIVERSAL-require
Summary:        require() modules from a variable
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/UNIVERSAL-require/
Source:         http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
If you've ever had to do this...

    eval "require $module";

to get around the bareword caveats on require(), this module is for you. It
creates a universal require() class method that will work with every Perl
module and its secure. So instead of doing some arcane eval() work, you can
do this:

    $module->require;

It doesn't save you much typing, but it'll make a lot more sense to someone
who's not a ninth level Perl acolyte.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-UNIVERSAL-require/Changes
  0.18 2015-02-24
  - Skip the taint test if Perl was compiled without taint support.
    RAZ++
  - Changed use of "use vars" to "our"
  - Added strict and warnings to PREREQ_PM
  0.17 2014-04-19
  - Check for valid module names. RT#94866 from TOBYINK.
  - Changed used of die() to croak() RT#23113
  - Fixed typo in pod (fschlich++)
* Mon Feb 24 2014 coolo@suse.com
- updated to 0.16
  - All seems fine with previous dev release
  - Added README
  - Specified min version of perl 5.6.0
  - Now "use warnings"
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.15
  - Hadn't specific meta-spec version 2, so github repo wasn't turning
    up in the metadata.
  - Changed the repository meta_merge to the new format
  - Tweaked format (mainly release dates) to conform to CPAN::Changes::Spec
  - first test release by NEILB after getting comaint
  - no changes other than specifying github repository
* Fri Feb 10 2012 coolo@suse.com
- update to 0.13
  Bug Fixes
  * $module->require now always resets $@ which removes a trap of using $@
    to indicate an error, rather than checking $module->require directly.
    [rt.cpan.org 44444]
  Test Fixes
  * bleadperl introduced a new warning deprecating "use UNIVERSAL"
    (thank goodness) which interfered with t/require.t
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Aug 20 2007 mrueckert@suse.de
- initial package
